org.apache.solr.client.solrj.request

## Class CoreAdminRequest.OverrideLastPublished

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
  - - org.apache.solr.client.solrj.request.CoreAdminRequest
    - - org.apache.solr.client.solrj.request.CoreAdminRequest.OverrideLastPublished

All Implemented Interfaces:
  Serializable

Enclosing class:
  CoreAdminRequest

    public static class CoreAdminRequest.OverrideLastPublished
    extends CoreAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.MergeIndexes, CoreAdminRequest.OverrideLastPublished, CoreAdminRequest.Persist, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `state`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Constructor Summary

Constructors
Constructor and Description
`CoreAdminRequest.OverrideLastPublished()`

### Method Summary

Methods
`SolrParams` `getParams()`
`String` `getState()`
`void` `setState(String state)`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getContentStreams, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### state

    protected String state

### Constructor Detail

#### CoreAdminRequest.OverrideLastPublished

    public CoreAdminRequest.OverrideLastPublished()

### Method Detail

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CoreAdminRequest`

#### getState

    public String getState()

#### setState

    public void setState(String state)